require 'java'
require 'logstash-input-nakadi_jars.rb'
java_import org.zalando.stups.tokens.Tokens

class OAuth
  def initialize
    access_token_url = java.net.URI.new("https://token.services.auth.zalando.com/oauth2/access_token?realm=/services")
    token_info_url = java.net.URI.new("https://info.services.auth.zalando.com/oauth2/tokeninfo")
    manager_builder = org.zalando.stups.tokens.Tokens.createAccessTokensWithUri(access_token_url).tokenInfoUri(token_info_url)
    manager_builder.manageToken("nakadi").done
    @manager = manager_builder.start
  end

  def stop
    @manager.stop
  end

  def token
    @manager.get("nakadi")
  end
end